---
updatedAt: 2026-11-12T11:26:17.000Z
agentTools:
  projectIndex: https://docs.decentro.tech/llms.txt
---

# Virtual Accounts - Get Balance V2

This API is an updated version of fetching the balance of a virtual account

> 🙌 Important Note
>
> Please use only **Staging Credentials** on each API Reference page to test the APIs directly from our Documentation.

### API Endpoints

| Environment       | Endpoint                                                                   |
| :---------------- | :------------------------------------------------------------------------- |
| Staging / Sandbox | <https://in.staging.decentro.tech/core_banking/money_transfer/get_balance> |
| Production        | <https://in.decentro.tech/core_banking/money_transfer/get_balance>         |

This API is used to [retrieve the latest balance](https://docs.decentro.tech/docs/virtual_accounts-information-v2) in the created virtual account.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "decentro-staging",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://in.staging.decentro.tech"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/core_banking/money_transfer/get_balance#v2": {
      "get": {
        "summary": "Virtual Accounts - Get Balance V2",
        "description": "This API is an updated version of fetching the balance of a virtual account",
        "operationId": "virtual_accounts_api-get-balance-v2",
        "parameters": [
          {
            "name": "account_number",
            "in": "query",
            "description": "(mandatory) The account number that you need to fetch details for",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "customer_id",
            "in": "query",
            "description": "(mandatory if mobile_number is not present) Customer ID to fetch the linked account balance for",
            "schema": {
              "type": "string",
              "default": "virtual"
            }
          },
          {
            "name": "mobile_number",
            "in": "query",
            "description": "(mandatory if customer_id is not present) Mobile number of the customer for which the account balance is being fetched",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "client_id",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "client_secret",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "module_secret",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "provider_secret",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Success": {
                    "value": "{\n    \"decentroTxnId\": \"DECXXXXXXXXXXXXXXXXXXXXXXXXXXX\",\n    \"status\": \"success\",\n    \"responseCode\": \"S00000\",\n    \"type\": \"VIRTUAL\",\n    \"accountNumber\": \"462515226150142491\",\n    \"presentBalance\": 30.0,\n    \"upiId\": \"462515226150142491@yesbankltd\",\n    \"transactionAmountLimit\": \"INF\",\n    \"minimumBalance\": 0.0\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "decentroTxnId": {
                      "type": "string",
                      "example": "DECXXXXXXXXXXXXXXXXXXXXXXXXXXX"
                    },
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "responseCode": {
                      "type": "string",
                      "example": "S00000"
                    },
                    "type": {
                      "type": "string",
                      "example": "VIRTUAL"
                    },
                    "accountNumber": {
                      "type": "string",
                      "example": "462515226150142491"
                    },
                    "presentBalance": {
                      "type": "integer",
                      "example": 30,
                      "default": 0
                    },
                    "upiId": {
                      "type": "string",
                      "example": "462515226150142491@yesbankltd"
                    },
                    "transactionAmountLimit": {
                      "type": "string",
                      "example": "INF"
                    },
                    "minimumBalance": {
                      "type": "integer",
                      "example": 0,
                      "default": 0
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Failure: Invalid Details": {
                    "value": "{\n    \"error\":\n    {\n        \"message\": \"Request body does not contain both the mobile number as well as the customer ID. One of the values needs to be present.\",\n        \"responseCode\": \"E00009\",\n        \"status\": \"failure\"\n    },\n    \"decentroTxnId\": \"DECXXXXXXXXXXXXXXXXXXXXXXXXXXX\"\n}"
                  },
                  "Authentication Error (Invalid Client Secret)": {
                    "value": "{\n    \"error\":\n    {\n        \"message\": \"Authentication failed. Please use valid Client ID and Client Secret.\",\n        \"responseCode\": \"E00008\"\n    },\n    \"status\": \"FAILURE\"\n}"
                  },
                  "Authentication Error (Empty Client Secret)": {
                    "value": "{\n    \"error\": {\n        \"message\": \"Client Secret cannot be empty. Hint: client_secret (string)\",\n        \"responseCode\": \"E00009\"\n    },\n    \"status\": \"FAILURE\"\n}"
                  }
                },
                "schema": {
                  "oneOf": [
                    {
                      "title": "Failure: Invalid Details",
                      "type": "object",
                      "properties": {
                        "error": {
                          "type": "object",
                          "properties": {
                            "message": {
                              "type": "string",
                              "example": "Request body does not contain both the mobile number as well as the customer ID. One of the values needs to be present."
                            },
                            "responseCode": {
                              "type": "string",
                              "example": "E00009"
                            },
                            "status": {
                              "type": "string",
                              "example": "failure"
                            }
                          }
                        },
                        "decentroTxnId": {
                          "type": "string",
                          "example": "DECXXXXXXXXXXXXXXXXXXXXXXXXXXX"
                        }
                      }
                    },
                    {
                      "title": "Authentication Error (Invalid Client Secret)",
                      "type": "object",
                      "properties": {
                        "error": {
                          "type": "object",
                          "properties": {
                            "message": {
                              "type": "string",
                              "example": "Authentication failed. Please use valid Client ID and Client Secret."
                            },
                            "responseCode": {
                              "type": "string",
                              "example": "E00008"
                            }
                          }
                        },
                        "status": {
                          "type": "string",
                          "example": "FAILURE"
                        }
                      }
                    },
                    {
                      "title": "Authentication Error (Empty Client Secret)",
                      "type": "object",
                      "properties": {
                        "error": {
                          "type": "object",
                          "properties": {
                            "message": {
                              "type": "string",
                              "example": "Client Secret cannot be empty. Hint: client_secret (string)"
                            },
                            "responseCode": {
                              "type": "string",
                              "example": "E00009"
                            }
                          }
                        },
                        "status": {
                          "type": "string",
                          "example": "FAILURE"
                        }
                      }
                    }
                  ]
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "application/json": {
                "examples": {
                  "Authentication Error (Invalid or Empty Client ID)": {
                    "value": "{\n    \"message\": \"No API key found in request\",\n    \"request_id\": \"a1e425578fdb7f27344a8f6dc0fce433\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "example": "No API key found in request"
                    },
                    "request_id": {
                      "type": "string",
                      "example": "a1e425578fdb7f27344a8f6dc0fce433"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```